Bug 255617 - Crash on moving layer with applied transparency mask
Summary: Crash on moving layer with applied transparency mask
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2010-10-29 22:30 UTC by Sven Langkamp
Modified: 2011-11-19 07:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch that has already been committed to git (but not to 2.3 svn yet) (12.00 KB, patch)
2010-12-13 22:58 UTC, Dmitry Kazakov
Details
This should fix the bug in 2.3 brunch (4.71 KB, patch)
2010-12-19 14:06 UTC, Dmitry Kazakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Langkamp 2010-10-29 22:30:42 UTC
Application: krita (2.3 Beta 3)
KDE Platform Version: 4.4.5 (KDE 4.4.5) (Compiled from sources)
Qt Version: 4.6.3
Operating System: Linux 2.6.32-25-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
I added a new transparency mask to the first layer. Then painted a bit on the mask. When I move the layer it crashes.

The crash can be reproduced every time.

 -- Backtrace:
Application: Krita (krita), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f0bb211b800 (LWP 3991))]

Thread 8 (Thread 0x7f0b9f5e7710 (LWP 3992)):
#0  0x00007f0bbc35aff3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f0bc381593e in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
#2  0x00007f0bc381af1d in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
#3  0x00007f0bc381bd0b in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f0bc37ed6c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f0bc37eda9c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f0bc36fc8db in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f0bc37cddd8 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0b9ebe0710 (LWP 3997)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bc36fffdb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f0bc36fbd64 in QSemaphore::acquire(int) () from /usr/lib/libQtCore.so.4
#3  0x00007f0bc2c1036e in KisTileDataPooler::waitForWork (this=0x2570b40) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:127
#4  0x00007f0bc2c105b8 in KisTileDataPooler::run (this=0x2570b40) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data_pooler.cc:156
#5  0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#7  0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0b9e3df710 (LWP 3998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bc36fffdb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f0bc36fbb84 in QSemaphore::tryAcquire(int, int) () from /usr/lib/libQtCore.so.4
#3  0x00007f0bc2c2c54a in KisTileDataSwapper::run (this=0x2570b70) at /home/sven/kde/src/koffice/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:90
#4  0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0b9dbde710 (LWP 4007)):
[KCrash Handler]
#5  _int_malloc (av=0x7f0b84000020, bytes=96) at malloc.c:4635
#6  0x00007f0bbc2f858e in *__GI___libc_malloc (bytes=96) at malloc.c:3660
#7  0x00007f0bbcd7226d in operator new(unsigned long) () from /usr/lib/libstdc++.so.6
#8  0x00007f0bc36ffd3e in QWaitCondition::QWaitCondition() () from /usr/lib/libQtCore.so.4
#9  0x00007f0bc36face2 in QReadWriteLock::QReadWriteLock() () from /usr/lib/libQtCore.so.4
#10 0x00007f0bc2c0d4c7 in KisTileData (this=0x7f0b840020d0, rhs=...) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.cc:59
#11 0x00007f0bc2c0e917 in KisTileDataStore::duplicateTileData (this=0x2570b40, rhs=0x1e7e5f0) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data_store.cc:131
#12 0x00007f0bc2c0c3f5 in KisTileData::clone (this=0x7f0b84008b90) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.h:74
#13 KisTile::lockForWrite (this=0x7f0b84008b90) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile.cc:146
#14 0x00007f0bc2c11ca1 in KisTileDataWrapper (this=0x2166c00, x=<value optimized out>, y=<value optimized out>, type=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.h:56
#15 KisTiledDataManager::pixelPtr (this=0x2166c00, x=<value optimized out>, y=<value optimized out>, type=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.cc:669
#16 0x00007f0bc2c14969 in KisTiledDataManager::bitBlt (this=<value optimized out>, srcDM=<value optimized out>, rect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.cc:475
#17 0x00007f0bc2cbc70f in KisDataManager::bitBlt (this=0x210fe70, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_datamanager.h:213
#18 KisPaintDevice::fastBitBlt (this=0x210fe70, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_paint_device.cc:1100
#19 0x00007f0bc2c344f3 in KisPainter::bitBlt (this=0x7f0b9dbdd5d0, dstX=<value optimized out>, dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, srcY=6, 
    srcWidth=505, srcHeight=506) at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:435
#20 0x00007f0bc2c368cf in KisPainter::bitBlt (this=0x0, pos=<value optimized out>, srcDev=<value optimized out>, srcRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:590
#21 0x00007f0bc2cf61c5 in KisTransparencyMask::decorateRect (this=<value optimized out>, src=..., dst=<value optimized out>, rc=...)
    at /home/sven/kde/src/koffice/krita/image/kis_transparency_mask.cc:58
#22 0x00007f0bc2cae474 in KisMask::apply (this=0x3d1b1f0, projection=) at /home/sven/kde/src/koffice/krita/image/kis_mask.cc:201
#23 0x00007f0bc2ca7899 in KisLayer::applyMasks (this=<value optimized out>, source=<value optimized out>, destination=<value optimized out>, requestedRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:399
#24 0x00007f0bc2ca817b in KisLayer::updateProjection (this=0x257b760, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:443
#25 0x00007f0bc2c0b0a3 in KisAsyncMerger::startMerge (this=0x25736a8, walker=...) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_async_merger.h:207
#26 0x00007f0bc2c0b865 in KisUpdateJobItem::run (this=0x2573680) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_updater_context.h:39
#27 0x00007f0bc36f4e7f in ?? () from /usr/lib/libQtCore.so.4
#28 0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#29 0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#30 0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#31 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0b9d3dd710 (LWP 4008)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bc36fffdb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f0bc36fae67 in QReadWriteLock::lockForRead() () from /usr/lib/libQtCore.so.4
#3  0x00007f0bc2c172b9 in KisTileHashTableTraits<KisTile>::getReadOnlyTileLazy(int, int) () from /home/sven/kde/lib/libkritaimage.so.8
#4  0x00007f0bc2c148ba in KisTiledDataManager::getTile (this=<value optimized out>, srcDM=<value optimized out>, rect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.h:139
#5  KisTiledDataManager::bitBlt (this=<value optimized out>, srcDM=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.cc:453
#6  0x00007f0bc2cbc70f in KisDataManager::bitBlt (this=0x7f0b902ed5f0, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_datamanager.h:213
#7  KisPaintDevice::fastBitBlt (this=0x7f0b902ed5f0, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_paint_device.cc:1100
#8  0x00007f0bc2c344f3 in KisPainter::bitBlt (this=0x7f0b9d3dc5d0, dstX=<value optimized out>, dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, srcY=6, 
    srcWidth=512, srcHeight=506) at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:435
#9  0x00007f0bc2c368cf in KisPainter::bitBlt (this=0x7f0b901a093c, pos=<value optimized out>, srcDev=<value optimized out>, srcRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:590
#10 0x00007f0bc2cf61c5 in KisTransparencyMask::decorateRect (this=<value optimized out>, src=..., dst=<value optimized out>, rc=...)
    at /home/sven/kde/src/koffice/krita/image/kis_transparency_mask.cc:58
#11 0x00007f0bc2cae474 in KisMask::apply (this=0x3d1b1f0, projection=) at /home/sven/kde/src/koffice/krita/image/kis_mask.cc:201
#12 0x00007f0bc2ca7899 in KisLayer::applyMasks (this=<value optimized out>, source=<value optimized out>, destination=<value optimized out>, requestedRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:399
#13 0x00007f0bc2ca817b in KisLayer::updateProjection (this=0x257b760, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:443
#14 0x00007f0bc2c0b0a3 in KisAsyncMerger::startMerge (this=0x2572d08, walker=...) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_async_merger.h:207
#15 0x00007f0bc2c0b865 in KisUpdateJobItem::run (this=0x2572ce0) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_updater_context.h:39
#16 0x00007f0bc36f4e7f in ?? () from /usr/lib/libQtCore.so.4
#17 0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#18 0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#19 0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0b8cebb710 (LWP 4009)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f0bc36fffdb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f0bc36fa46c in QReadWriteLock::lockForWrite() () from /usr/lib/libQtCore.so.4
#3  0x00007f0bc2c18319 in KisTileHashTableTraits<KisTile>::getTileLazy(int, int, bool&) () from /home/sven/kde/lib/libkritaimage.so.8
#4  0x00007f0bc2c25cab in KisTiledDataManager::getTile (this=0x7f0b98358210, col=-1, row=9) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.h:132
#5  KisTiledRandomAccessor::fetchTileData (this=0x7f0b98358210, col=-1, row=9) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_random_accessor.cc:116
#6  0x00007f0bc2c26022 in KisTiledRandomAccessor::moveTo (this=0x7f0b98358210, x=-3, y=576) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_random_accessor.cc:89
#7  0x00007f0bc2c33dea in KisRandomAccessorPixelBase<KisRandomAccessor, unsigned char*>::moveTo (this=0x7f0b8ceba680, dstX=<value optimized out>, dstY=<value optimized out>, 
    srcDev=<value optimized out>, srcX=<value optimized out>, srcY=<value optimized out>, srcWidth=499, srcHeight=256) at /home/sven/kde/src/koffice/krita/image/kis_random_accessor.h:167
#8  KisPainter::bitBlt (this=0x7f0b8ceba680, dstX=<value optimized out>, dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, srcY=<value optimized out>, 
    srcWidth=499, srcHeight=256) at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:506
#9  0x00007f0bc2c368cf in KisPainter::bitBlt (this=0x7f0b9014da2c, pos=<value optimized out>, srcDev=<value optimized out>, srcRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:590
#10 0x00007f0bc2cae59c in KisMask::apply (this=0x3d1b1f0, projection=) at /home/sven/kde/src/koffice/krita/image/kis_mask.cc:207
#11 0x00007f0bc2ca7899 in KisLayer::applyMasks (this=<value optimized out>, source=<value optimized out>, destination=<value optimized out>, requestedRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:399
#12 0x00007f0bc2ca817b in KisLayer::updateProjection (this=0x257b760, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:443
#13 0x00007f0bc2c0b0a3 in KisAsyncMerger::startMerge (this=0x2571e28, walker=...) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_async_merger.h:207
#14 0x00007f0bc2c0b865 in KisUpdateJobItem::run (this=0x2571e00) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_updater_context.h:39
#15 0x00007f0bc36f4e7f in ?? () from /usr/lib/libQtCore.so.4
#16 0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#17 0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#18 0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0b8c6ba710 (LWP 4010)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f0bbc2fb3dc in _L_lock_12449 () from /lib/libc.so.6
#2  0x00007f0bbc2f9e78 in *__GI___libc_free (mem=0x7f0b84000020) at malloc.c:3736
#3  0x00007f0bc2c0d982 in KisTileData::releaseMemory (this=0x7f0b90a549e0) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.cc:85
#4  0x00007f0bc2c0d816 in ~KisTileData (this=0x7f0b84000020, __in_chrg=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.cc:70
#5  0x00007f0bc2c0ec20 in KisTileDataStore::freeTileData (this=0x2570b40, td=0x7f0b90a549e0) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data_store.cc:159
#6  0x00007f0bc2c0c619 in KisTileData::deref (this=0x7f0b90ad52a0, __in_chrg=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.h:67
#7  KisTileData::release (this=0x7f0b90ad52a0, __in_chrg=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile_data.h:55
#8  ~KisTile (this=0x7f0b90ad52a0, __in_chrg=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tile.cc:77
#9  0x00007f0bc2c17f39 in KisTileHashTableTraits<KisTile>::deleteTile(int, int) () from /home/sven/kde/lib/libkritaimage.so.8
#10 0x00007f0bc2c14aec in KisTiledDataManager::bitBlt (this=<value optimized out>, srcDM=<value optimized out>, rect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/tiles3/kis_tiled_data_manager.cc:460
#11 0x00007f0bc2cbc70f in KisDataManager::bitBlt (this=0x7f0b901fa1b0, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_datamanager.h:213
#12 KisPaintDevice::fastBitBlt (this=0x7f0b901fa1b0, src=<value optimized out>, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_paint_device.cc:1100
#13 0x00007f0bc2c344f3 in KisPainter::bitBlt (this=0x7f0b8c6b9760, dstX=<value optimized out>, dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, srcY=512, 
    srcWidth=512, srcHeight=256) at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:435
#14 0x00007f0bc2c368cf in KisPainter::bitBlt (this=0x7f0b84000020, pos=<value optimized out>, srcDev=<value optimized out>, srcRect=<value optimized out>)
    at /home/sven/kde/src/koffice/krita/image/kis_painter.cc:590
#15 0x00007f0bc2cc6e0a in KisPaintLayer::copyOriginalToProjection (this=0x257b760, original=) at /home/sven/kde/src/koffice/krita/image/kis_paint_layer.cc:125
#16 0x00007f0bc2ca76df in KisLayer::applyMasks (this=<value optimized out>, source=<value optimized out>, destination=<value optimized out>, requestedRect=...)
    at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:395
#17 0x00007f0bc2ca817b in KisLayer::updateProjection (this=0x257b760, rect=<value optimized out>) at /home/sven/kde/src/koffice/krita/image/kis_layer.cc:443
#18 0x00007f0bc2c0b0a3 in KisAsyncMerger::startMerge (this=0x2572d78, walker=...) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_async_merger.h:207
#19 0x00007f0bc2c0b865 in KisUpdateJobItem::run (this=0x2572d50) at /home/sven/kde/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_updater_context.h:39
#20 0x00007f0bc36f4e7f in ?? () from /usr/lib/libQtCore.so.4
#21 0x00007f0bc36fef95 in ?? () from /usr/lib/libQtCore.so.4
#22 0x00007f0bc346e9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#23 0x00007f0bbc36270d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#24 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0bb211b800 (LWP 3991)):
#0  0x00007f0bbc355f93 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f0bb92ed29a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f0bb92ed7d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f0bb92eda85 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f0bc1adb6fa in _XSend () from /usr/lib/libX11.so.6
#5  0x00007f0bc1adb839 in _XReply () from /usr/lib/libX11.so.6
#6  0x00007f0bc1acf2c3 in XSync () from /usr/lib/libX11.so.6
#7  0x00007f0bc3d67db7 in ?? () from /usr/lib/fglrx/libGL.so.1
#8  0x00007f0b97a289ac in ?? () from /usr/lib/fglrx/dri/fglrx_dri.so
#9  0x00007f0b97a28e6c in ?? () from /usr/lib/fglrx/dri/fglrx_dri.so
#10 0x00007f0b97a2d3c6 in ?? () from /usr/lib/fglrx/dri/fglrx_dri.so
#11 0x00007f0b97a2d49b in ?? () from /usr/lib/fglrx/dri/fglrx_dri.so
#12 0x00007f0bc3d70572 in glXMakeCurrentReadSGI () from /usr/lib/fglrx/libGL.so.1
#13 0x00007f0bc3d708c1 in glXMakeCurrent () from /usr/lib/fglrx/libGL.so.1
#14 0x00007f0bc1438eb0 in QGLContext::makeCurrent() () from /usr/lib/libQtOpenGL.so.4
#15 0x00007f0bc3184651 in KisOpenGLImageTextures::recalculateCache (this=0x337e2e0, info=<value optimized out>) at /home/sven/kde/src/koffice/krita/ui/opengl/kis_opengl_image_textures.cpp:241
#16 0x00007f0bc30500da in KisCanvas2::updateCanvasProjection (this=0x2d43100, info=<value optimized out>) at /home/sven/kde/src/koffice/krita/ui/canvas/kis_canvas2.cpp:477
#17 0x00007f0bc30527c2 in KisCanvas2::qt_metacall (this=0x2d43100, _c=<value optimized out>, _id=<value optimized out>, _a=0x2a2ef20) at /home/sven/kde/build/koffice/krita/ui/kis_canvas2.moc:121
#18 0x00007f0bc37feb79 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#19 0x00007f0bbdaeec0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0x00007f0bbdaf50eb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007f0bbe7fda16 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0x00007f0bc37eed9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#23 0x00007f0bc37f2454 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#24 0x00007f0bc381bca0 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0x00007f0bbdb9ff77 in ?? () from /usr/lib/libQtGui.so.4
#26 0x00007f0bc37ed6c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x00007f0bc37eda9c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#28 0x00007f0bc37f273b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#29 0x00007f0bc3b08245 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /home/sven/kde/src/koffice/krita/main.cc:49
#30 0x00007f0bbc29ac4d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff6e582808) at libc-start.c:226
#31 0x00000000004008c9 in _start ()

Reported using DrKonqi
Comment 1 Kubuntiac 2010-10-30 09:06:28 UTC
Confirmed with r1191226 + KDE 4.5.2 QT 4.7.0 GCC 4.4.4 ATI driver and 4 cores (Kubuntu Maverick 32 bit)

#0  0xb7fe1424 in __kernel_vsyscall ()
#1  0xb52d9941 in raise () from /lib/libc.so.6
#2  0xb52dce42 in abort () from /lib/libc.so.6
#3  0xb5311305 in ?? () from /lib/libc.so.6
#4  0xb531b501 in ?? () from /lib/libc.so.6
#5  0xb531e2fc in ?? () from /lib/libc.so.6
#6  0xb531ff33 in malloc () from /lib/libc.so.6
#7  0xb5508619 in operator new(unsigned int) () from /usr/lib/libstdc++.so.6
#8  0xb78d4821 in KisTileDataStore::duplicateTileData (this=0x8b7fa50, rhs=0xb3bec70) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile_data_store.cc:131
#9  0xb78d28c5 in clone (this=0xb140b58) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile_data.h:74
#10 KisTile::lockForWrite (this=0xb140b58) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile.cc:146
#11 0xb78ec7af in lockTile (this=0xb11f980, col=14, row=1) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_random_accessor.h:50
#12 KisTiledRandomAccessor::fetchTileData (this=0xb11f980, col=14, row=1) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_random_accessor.cc:117
#13 0xb78ecae0 in KisTiledRandomAccessor::moveTo (this=0xb11f980, x=896, y=66) at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_random_accessor.cc:89
#14 0xb79aa0c5 in KisRandomConstAccessor::moveTo (this=0xadefce10, x=526, y=401) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_random_accessor.cpp:66
#15 0xb78fb805 in moveTo (this=0xadefcf28, dstX=512, dstY=192, srcDev=..., srcX=512, srcY=192, srcWidth=512, srcHeight=320)
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_random_accessor.h:167
#16 KisPainter::bitBlt (this=0xadefcf28, dstX=512, dstY=192, srcDev=..., srcX=512, srcY=192, srcWidth=512, srcHeight=320)
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:506
#17 0xb78fe48e in KisPainter::bitBlt (this=0xadefcf28, pos=..., srcDev=..., srcRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:590
#18 0xb798000c in KisMask::apply (this=0x8be8e10, projection=..., rc=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_mask.cc:207                                                  
#19 0xb7978cb6 in KisLayer::applyMasks (this=0x8b88118, source=..., destination=..., requestedRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:399
#20 0xb79794f6 in KisLayer::updateProjection (this=0x8b88118, rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:443                                                   
#21 0xb78d09bc in KisAsyncMerger::startMerge (this=0x821edac, walker=...) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_async_merger.h:207
#22 0xb78d11bc in KisUpdateJobItem::run (this=0x821ed98) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39                       
#23 0xb7d7f523 in QThreadPoolThread::run (this=0xa8a92b28) at concurrent/qthreadpool.cpp:106                                                                                                  
#24 0xb7d8adf9 in QThreadPrivate::start (arg=0xa8a92b28) at thread/qthread_unix.cpp:266
#25 0xb7d13cc9 in start_thread () from /lib/libpthread.so.0
#26 0xb537f6ae in clone () from /lib/libc.so.6
Comment 2 Cyrille Berger 2010-10-30 09:08:31 UTC
I get the crash too (build with KritaDev mode) but with a different backtrace than sven and kubuntiac:

#0  0x00007ffff6da5f23 in KisTileHashTableTraits<KisTile>::getTile(int, int) () from /home/cyrille/Projects/kde4//inst//lib/libkritaimage.so.8
#1  0x00007ffff6da6137 in KisTileHashTableTraits<KisTile>::getReadOnlyTileLazy(int, int) () from /home/cyrille/Projects/kde4//inst//lib/libkritaimage.so.8
#2  0x00007ffff6dc17f7 in KisTiledDataManager::getTile (this=0x7fffb4112a70, col=10, row=1)
    at /home/cyrille/Projects/kde4/src/koffice/krita/image/tiles3/kis_tiled_data_manager.h:139
#3  KisTiledRandomAccessor::fetchTileData (this=0x7fffb4112a70, col=10, row=1) at /home/cyrille/Projects/kde4/src/koffice/krita/image/tiles3/kis_tiled_random_accessor.cc:116
#4  0x00007ffff6dc201a in KisTiledRandomAccessor::moveTo (this=0x7fffb4112a70, x=640, y=64)
    at /home/cyrille/Projects/kde4/src/koffice/krita/image/tiles3/kis_tiled_random_accessor.cc:89
#5  0x00007ffff6edeb6a in KisRandomConstAccessor::moveTo (this=<value optimized out>, x=640, y=64)
    at /home/cyrille/Projects/kde4/src/koffice/krita/image/kis_random_accessor.cpp:66
#6  0x00007ffff6dd8747 in KisRandomAccessorPixelBase<KisRandomConstAccessor, unsigned char const*>::moveTo (this=0x7fffcaefb570, dstX=<value optimized out>, 
    dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, srcY=<value optimized out>, srcWidth=512, srcHeight=508)
    at /home/cyrille/Projects/kde4/src/koffice/krita/image/kis_random_accessor.h:167
#7  KisPainter::bitBlt (this=0x7fffcaefb570, dstX=<value optimized out>, dstY=<value optimized out>, srcDev=<value optimized out>, srcX=<value optimized out>, 
    srcY=<value optimized out>, srcWidth=512, srcHeight=508) at /home/cyrille/Projects/kde4/src/koffice/krita/image/kis_painter.cc:555
#8  0x00007ffff6ddb678 in KisPainter::bitBlt (this=<value optimized out>, pos=..., srcDev=<value optimized out>, srcRect=<value optimized out>)
    at /home/cyrille/Projects/kde4/src/koffice/krita/image/kis_painter.cc:590
#9  0x00007ffff72b8b7b in KisImagePyramid::retrieveImageData (this=<value optimized out>, rect=...)
    at /home/cyrille/Projects/kde4/src/koffice/krita/ui/canvas/kis_image_pyramid.cpp:155
#10 0x00007ffff72ba432 in KisImagePyramid::updateCache (this=0x58aa390, info=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece.
) at /home/cyrille/Projects/kde4/src/koffice/krita/ui/canvas/kis_image_pyramid.cpp:145
#11 0x00007ffff72b2b7c in KisPrescaledProjection::updateCache (this=0x58aa760, dirtyImageRect=<value optimized out>)
    at /home/cyrille/Projects/kde4/src/koffice/krita/ui/canvas/kis_prescaled_projection.cpp:256
#12 0x00007ffff729fb27 in KisCanvas2::startUpdateCanvasProjection (this=0x58a42c0, rc=...) at /home/cyrille/Projects/kde4/src/koffice/krita/ui/canvas/kis_canvas2.cpp:460
#13 0x00007ffff72a1825 in KisCanvas2::qt_metacall (this=0x58a42c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcaefba30)
    at /home/cyrille/Projects/kde4/build/koffice/krita/ui/kis_canvas2.moc:120
#14 0x00007ffff78be6d7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x00007ffff6e7f5a5 in KisImage::sigImageUpdated (this=0x0, _t1=<value optimized out>) at /home/cyrille/Projects/kde4/build/koffice/krita/image/kis_image.moc:173
#16 0x00007ffff6e84774 in KisImage::qt_metacall (this=0x3c38f90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcaefbbe0)
    at /home/cyrille/Projects/kde4/build/koffice/krita/image/kis_image.moc:136
#17 0x00007ffff78be6d7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#18 0x00007ffff6d93f12 in KisUpdaterContext::sigContinueUpdate (this=0x0, _t1=<value optimized out>)
    at /home/cyrille/Projects/kde4/build/koffice/krita/image/moc_kis_updater_context.cpp:179
#19 0x00007ffff6d94405 in KisUpdaterContext::qt_metacall (this=0x3c2da38, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcaefbd10)
    at /home/cyrille/Projects/kde4/build/koffice/krita/image/moc_kis_updater_context.cpp:164
#20 0x00007ffff78be6d7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#21 0x00007ffff6d93f82 in KisUpdateJobItem::sigContinueUpdate (this=0x0, _t1=<value optimized out>)
    at /home/cyrille/Projects/kde4/build/koffice/krita/image/moc_kis_updater_context.cpp:91
#22 0x00007ffff6d9852a in KisUpdateJobItem::run (this=0x3c2f1d0)
    at /home/cyrille/Projects/kde4/build/koffice/krita/image/../../../../src/koffice/krita/image/kis_updater_context.h:42
#23 0x00007ffff77aa0b2 in ?? () from /usr/lib/libQtCore.so.4
#24 0x00007ffff77b464e in ?? () from /usr/lib/libQtCore.so.4
#25 0x00007fffef47d8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
#26 0x00007fffef1e502d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#27 0x0000000000000000 in ?? ()
Comment 3 Dmitry Kazakov 2010-11-04 13:53:14 UTC
SVN commit 1193067 by dkazakov:

Fixed a crash due to calls to projection->set{X,Y}()

We can't adjust projection's offset on every call to
KisSafeProjection::getDeviceLazy() because other threads may *write*
to this device at the same time. So we adjust its shift only once,
that is on projection's initialization.

BUG:255617


 M  +0 -7      kis_layer.cc  
 M  +30 -0     tests/kis_layer_test.cpp  
 M  +1 -1      tests/kis_layer_test.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1193067
Comment 4 Kubuntiac 2010-11-13 07:52:27 UTC
I'm still getting this:

kubuntu 10.10
QT 4.7.0
KDE 4.5.2 (kubuntu binaries)
Krita r1196274

Backtrace:
#0  0xb5318fb6 in ?? () from /lib/libc.so.6
#1  0xa7edffe8 in ?? ()
#2  0xb6e93c2a in KoColorSpace::bitBlt (this=0xadc6ff90, 
    dst=0xa7edf4e8 "~~~\377\177\177\177\377\177\177\177\376\201\201\201\376\203\203\203\376\204\204\204\376\206\206\206\376\210\210\210\376\210\210\210\376\211\211\211\376\212\212\212\376\214\214\214\376\216\216\216\376\216\216\216\376\217\217\217\376\217\217\217\376\221\221\221\376\222\222\222\376\224\224\224\376\226\226\226\376\226\226\226\376\226\226\226\376\227\227\227\376\230\230\230\376\232\232\232\376\234\234\234\376\235\235\235\376\235\235\235\376\237\237\237\376\240\240\240\376\241\241\241\376\243\243\243\376\245\245\245\376\245\245\245\376\246\246\246\376\246\246\246\376\250\250\250\376\252\252\252\376\254\254\254\376\255\255\255\376\255\255\255\376\256\256\256\376\257\257\257\376\261\261\261\376\263\263\263\376\265\265\265\376\266\266\266\376\266\266\266\376\267\267\267\376\271\271\271\376"..., dstRowStride=256, srcSpace=0xae0059e0, 
    src=0xa93fc458 "~~~\377\177\177\177\377\177\177\177\376\201\201\201\376\203\203\203\376\204\204\204\376\206\206\206\376\210\210\210\376\210\210\210\376\211\211\211\376\212\212\212\376\214\214\214\376\216\216\216\376\216\216\216\376\217\217\217\376\217\217\217\376\221\221\221\376\222\222\222\376\224\224\224\376\226\226\226\376\226\226\226\376\226\226\226\376\227\227\227\376\230\230\230\376\232\232\232\376\234\234\234\376\235\235\235\376\235\235\235\376\237\237\237\376\240\240\240\376\241\241\241\376\243\243\243\376\245\245\245\376\245\245\245\376\246\246\246\376\246\246\246\376\250\250\250\376\252\252\252\376\254\254\254\376\255\255\255\376\255\255\255\376\256\256\256\376\257\257\257\376\261\261\261\376\263\263\263\376\265\265\265\376\266\266\266\376\266\266\266\376\267\267\267\376\271\271\271\376"..., srcRowStride=256, srcAlphaMask=0x0, maskRowStride=0, opacity=<value optimized out>, rows=54, cols=58, op=0xab0f4488, channelFlags=...)
    at /home/user/Apps/Koffice/koffice-src/libs/pigment/KoColorSpace.cpp:331
#3  0xb78f0eec in KisPainter::bitBlt (this=0xa8ffef5c, dstX=256, dstY=192, srcDev=..., srcX=256, srcY=192, srcWidth=256, srcHeight=320)
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:571
#4  0xb78f352e in KisPainter::bitBlt (this=0xa8ffef5c, pos=..., srcDev=..., srcRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:590
#5  0xb79910fc in KisPaintLayer::copyOriginalToProjection (this=0xae005568, original=..., projection=..., rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_paint_layer.cc:125
#6  0xb796fa31 in KisLayer::applyMasks (this=0xae005568, source=..., destination=..., requestedRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:388
#7  0xb79703e6 in KisLayer::updateProjection (this=0xae005568, rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:436
#8  0xb78c5a5c in KisAsyncMerger::startMerge (this=0xae004b14, walker=...) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_async_merger.h:207
#9  0xb78c625c in KisUpdateJobItem::run (this=0xae004b00) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39
#10 0xb7d7e523 in QThreadPoolThread::run (this=0xa7e34530) at concurrent/qthreadpool.cpp:106
#11 0xb7d89df9 in QThreadPrivate::start (arg=0xa7e34530) at thread/qthread_unix.cpp:266
#12 0xb7d12cc9 in start_thread () from /lib/libpthread.so.0
#13 0xb53736ae in clone () from /lib/libc.so.6
Comment 5 Dmitry Kazakov 2010-11-14 11:58:51 UTC
I can't reproduce this.
I used to have such backtraces, but they are gone after a clean build.
Comment 6 Kubuntiac 2010-11-14 12:37:09 UTC
Ok, so how would I test a "clean build"? Delete the contents of the build directory and compile again?
Comment 7 Dmitry Kazakov 2010-11-14 12:49:58 UTC
I would limit clean to some directories:

cd krita;
make -j3 clean;
cd ../libs/pigment;
make -j3 clean;
cd ../../plugins/colorengines/;
make -j3 clean;
cd ../../;
make -j3 install;
Comment 8 Kubuntiac 2010-11-14 14:05:22 UTC
Tried that... still getting this bt:

#0  0xb5317fb6 in ?? () from /lib/libc.so.6                                                                                                                                                   
#1  0xa7270040 in ?? ()                                                                                                                                                                       
#2  0xb6e92c2a in KoColorSpace::bitBlt (this=0xa50e050,                                                                                                                                       
    dst=0xa726ee40 "\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377"...,          
    dstRowStride=512, srcSpace=0x8bac488,                                                                                                                                                     
    src=0xa9efcdd0 "\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377\265\334%\375\377\377\377\377"..., 
    srcRowStride=512, srcAlphaMask=0x0, maskRowStride=0, opacity=<value optimized out>, rows=10, cols=8, op=0x9c8d1c0, channelFlags=...)
    at /home/user/Apps/Koffice/koffice-src/libs/pigment/KoColorSpace.cpp:331
---Type <return> to continue, or q <return> to quit---
#3  0xb78eff1e in KisPainter::bitBlt (this=0xa7eacf5c, dstX=512, dstY=512, srcDev=..., srcX=512, srcY=512, srcWidth=448, srcHeight=384)
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:569
#4  0xb78f255e in KisPainter::bitBlt (this=0xa7eacf5c, pos=..., srcDev=..., srcRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:588
#5  0xb79901fc in KisPaintLayer::copyOriginalToProjection (this=0x8babfa8, original=..., projection=..., rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_paint_layer.cc:125
#6  0xb796eb31 in KisLayer::applyMasks (this=0x8babfa8, source=..., destination=..., requestedRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:388
#7  0xb796f4e6 in KisLayer::updateProjection (this=0x8babfa8, rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:436
#8  0xb78c4b5c in KisAsyncMerger::startMerge (this=0x8271b2c, walker=...) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_async_merger.h:207
#9  0xb78c535c in KisUpdateJobItem::run (this=0x8271b18) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39
#10 0xb7d7e523 in QThreadPoolThread::run (this=0xa88162d8) at concurrent/qthreadpool.cpp:106
#11 0xb7d89df9 in QThreadPrivate::start (arg=0xa88162d8) at thread/qthread_unix.cpp:266
#12 0xb7d12cc9 in start_thread () from /lib/libpthread.so.0
#13 0xb53726ae in clone () from /lib/libc.so.6
Comment 9 Kubuntiac 2010-11-14 23:09:47 UTC
This is probably the exact same bt, but I tried completely deleting everything from inside the build folder and recompiling. I still get the problem, with this bt:

#0  0xb5317fb6 in ?? () from /lib/libc.so.6
#1  0xaa876238 in ?? ()
#2  0xb6e92c2a in KoColorSpace::bitBlt (this=0xa6b7e78, 
    dst=0xaa875438 "\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377"..., dstRowStride=512, srcSpace=0x8b984d8, 
    src=0xaa7fc020 "\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377\361`0opp\377\377"..., srcRowStride=512, srcAlphaMask=0x0, maskRowStride=0, opacity=<value optimized out>, rows=8, cols=62, op=0x8fe91a0, 
    channelFlags=...) at /home/user/Apps/Koffice/koffice-src/libs/pigment/KoColorSpace.cpp:331
#3  0xb78eff1e in KisPainter::bitBlt (this=0xa78b5f5c, dstX=512, dstY=512, srcDev=..., srcX=512, srcY=512, srcWidth=445, srcHeight=484)
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:569
#4  0xb78f255e in KisPainter::bitBlt (this=0xa78b5f5c, pos=..., srcDev=..., srcRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:588
#5  0xb79901fc in KisPaintLayer::copyOriginalToProjection (this=0x82702d0, original=..., projection=..., rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_paint_layer.cc:125
#6  0xb796eb31 in KisLayer::applyMasks (this=0x82702d0, source=..., destination=..., requestedRect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:388
#7  0xb796f4e6 in KisLayer::updateProjection (this=0x82702d0, rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:436
#8  0xb78c4b5c in KisAsyncMerger::startMerge (this=0x8b98164, walker=...) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_async_merger.h:207
#9  0xb78c535c in KisUpdateJobItem::run (this=0x8b98150) at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39
#10 0xb7d7e523 in QThreadPoolThread::run (this=0x88cf940) at concurrent/qthreadpool.cpp:106
#11 0xb7d89df9 in QThreadPrivate::start (arg=0x88cf940) at thread/qthread_unix.cpp:266
#12 0xb7d12cc9 in start_thread () from /lib/libpthread.so.0
#13 0xb53726ae in clone () from /lib/libc.so.6

I can try deleting everything in the build folder *and* the source folder, if it's a worthwhile experiment...
Comment 10 Dmitry Kazakov 2010-11-20 14:13:48 UTC
I still can't reproduce this.
Comment 11 Kubuntiac 2010-11-21 03:34:59 UTC
Ok... I just deleted the entire contents of my koffice-src, koffice-build *and* koffice-install folders and completely recompiled *everything* from scratch. Krita still hangs for me with:

Program received signal SIGFPE, Arithmetic exception.
KisColorPatches::widthForHeight (this=0x9002858, height=14) at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:329
329         int numCols = (fieldCount()-1)/numPatchesInACol+1;

I'm happy to try any suggestions to narrow this down that people can think of...

Backtrace:
#0  KisColorPatches::widthForHeight (this=0x9002858, height=14) at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:329             
#1  0xb1584390 in KisColorPatches::resizeEvent (this=0x9002858, event=0xbfffd1e8)                                                                                                             
    at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:144
#2  0xb5b43c53 in QWidget::event (this=0x9002858, event=0xbfffd1e8) at kernel/qwidget.cpp:8341                                                                                                
#3  0xb5ae5fdc in QApplicationPrivate::notify_helper (this=0x809e120, receiver=0x9002858, e=0xbfffd1e8) at kernel/qapplication.cpp:4396                                                       
#4  0xb5aec0e9 in QApplication::notify (this=0xbffff1b0, receiver=0x9002858, e=0xbfffd1e8) at kernel/qapplication.cpp:4361                                                                    
#5  0xb665e01a in KApplication::notify (this=0xbffff1b0, receiver=0x9002858, event=0xbfffd1e8) at ../../kdeui/kernel/kapplication.cpp:310                                                     
#6  0xb7e8bb3b in QCoreApplication::notifyInternal (this=0xbffff1b0, receiver=0x9002858, event=0xbfffd1e8) at kernel/qcoreapplication.cpp:732                                                 
#7  0xb5b42df9 in sendEvent (this=0x90049b8, recursive=true, disableUpdates=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215                                     
#8  QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x90049b8, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7257                                                           
#9  0xb5b42d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8fffc20, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269                                             
#10 0xb5b42d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8ffaf98, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269                                             
#11 0xb5b42d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x81d1310, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269
#12 0xb5b476b1 in QWidgetPrivate::prepareToRender (this=0x9986508, region=..., renderFlags=...) at kernel/qwidget.cpp:5236
#13 0xb5b4bfd4 in QWidgetPrivate::render (this=0x9986508, target=0xbfffd624, targetOffset=..., sourceRegion=..., renderFlags=..., readyToRender=false) at kernel/qwidget.cpp:5489
#14 0xb5b4c24c in QWidget::render (this=0x98a5fa0, target=0xbfffd624, targetOffset=..., sourceRegion=..., renderFlags=...) at kernel/qwidget.cpp:5019
#15 0xb443550d in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#16 0xb4435655 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#17 0xb442bf35 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#18 0xb442b730 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#19 0xb442bd77 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#20 0xb7e918ca in QMetaObject::metacall (object=0xa20ee70, cl=151005272, idx=-1073752660, argv=0xbfffd624) at kernel/qmetaobject.cpp:237
#21 0xb7ea46ad in QMetaObject::activate (sender=0x98a5fa0, m=0xb6469224, local_signal_index=5, argv=0x14) at kernel/qobject.cpp:3280
#22 0xb5f2d783 in QComboBox::currentIndexChanged (this=0x98a5fa0, _t1=-1) at .moc/release-shared/moc_qcombobox.cpp:302
#23 0xb5f2f3da in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x9986508, index=...) at widgets/qcombobox.cpp:1264
#24 0xb5f338a1 in QComboBoxPrivate::_q_modelReset (this=0x9986508) at widgets/qcombobox.cpp:212
#25 0xb5f3905b in QComboBox::qt_metacall (this=0x98a5fa0, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbfffda2c) at .moc/release-shared/moc_qcombobox.cpp:202
#26 0xb672936a in KComboBox::qt_metacall (this=0x98a5fa0, _c=QMetaObject::InvokeMetaMethod, _id=50, _a=0xbfffda2c) at ./kcombobox.moc:106
#27 0xb7c56eca in KisCmbComposite::qt_metacall (this=0x98a5fa0, _c=QMetaObject::InvokeMetaMethod, _id=50, _a=0xbfffda2c)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_cmb_composite.moc:74
#28 0xb7e918ca in QMetaObject::metacall (object=0x98a5fa0, cl=151005272, idx=50, argv=0xbfffda2c) at kernel/qmetaobject.cpp:237
#29 0xb7ea46ad in QMetaObject::activate (sender=0x9908600, m=0xb7fbe198, local_signal_index=13, argv=0x14) at kernel/qobject.cpp:3280
#30 0xb7ef50e7 in QAbstractItemModel::modelReset (this=0x9908600) at .moc/release-shared/moc_qabstractitemmodel.cpp:235
#31 0xb7e86da9 in QAbstractItemModel::endResetModel (this=0x9908600) at kernel/qabstractitemmodel.cpp:2906
#32 0xb614e9b0 in QSortFilterProxyModel::setSourceModel (this=0x9908600, sourceModel=0x8f429c8) at itemviews/qsortfilterproxymodel.cpp:1624
#33 0xb7c57013 in KisCmbComposite::setCompositeOpList (this=0x98a5fa0, list=..., whitelist=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/widgets/kis_cmb_composite.cc:53
#34 0xb7bac25b in KisPaintopBox::updateCompositeOpComboBox (this=0x98e3d20) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_paintop_box.cc:503
#35 0xb7bac87f in KisPaintopBox::nodeChanged (this=0x98e3d20, node=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_paintop_box.cc:473
#36 0xb7bb2348 in KisPaintopBox::qt_metacall (this=0x98e3d20, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfffdde8)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_paintop_box.moc:110
#37 0xb7e918ca in QMetaObject::metacall (object=0x98e3d20, cl=151005272, idx=36, argv=0xbfffdde8) at kernel/qmetaobject.cpp:237
#38 0xb7ea46ad in QMetaObject::activate (sender=0x93e7c48, m=0xb7cff924, local_signal_index=5, argv=0x14) at kernel/qobject.cpp:3280
#39 0xb7b3b643 in KisCanvasResourceProvider::sigNodeChanged (this=0x93e7c48, _t1=...) at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_canvas_resource_provider.moc:184
#40 0xb7b3dda6 in KisCanvasResourceProvider::slotResourceChanged (this=0x93e7c48, key=6006, res=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_canvas_resource_provider.cpp:306
#41 0xb7b3f7a2 in KisCanvasResourceProvider::qt_metacall (this=0x93e7c48, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbfffe004)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_canvas_resource_provider.moc:137
#42 0xb7e918ca in QMetaObject::metacall (object=0x93e7c48, cl=151005272, idx=25, argv=0xbfffe004) at kernel/qmetaobject.cpp:237
#43 0xb7ea46ad in QMetaObject::activate (sender=0x9032758, m=0xb6f99e44, local_signal_index=0, argv=0x14) at kernel/qobject.cpp:3280
#44 0xb6ecc2a9 in KoResourceManager::resourceChanged (this=0x9032758, _t1=6006, _t2=...) at /home/user/Apps/Koffice/koffice-build/libs/flake/KoResourceManager.moc:85
#45 0xb6ecd450 in KoResourceManager::setResource (this=0x9032758, key=6006, value=...) at /home/user/Apps/Koffice/koffice-src/libs/flake/KoResourceManager.cpp:57
#46 0xb7b3c954 in KisCanvasResourceProvider::slotNodeActivated (this=0x93e7c48, node=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_canvas_resource_provider.cpp:244
#47 0xb7b8456d in KisLayerManager::activateLayer (this=0x97e2f98, layer=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_layer_manager.cc:125
#48 0xb7b9ebf9 in KisNodeManager::activateNode (this=0x97e3058, node=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_node_manager.cpp:320
#49 0xb167b6ba in KisToolMove::mousePressEvent (this=0x9896bd8, event=0xbfffe414) at /home/user/Apps/Koffice/koffice-src/krita/plugins/tools/defaulttools/kis_tool_move.cc:206
#50 0xb6f1f3c4 in KoToolProxy::mousePressEvent (this=0x9048d98, event=0xbfffeaf0, point=...) at /home/user/Apps/Koffice/koffice-src/libs/flake/KoToolProxy.cpp:183
#51 0xb7ad072d in KisCanvasWidgetBase::processMousePressEvent (this=0x909559c, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/canvas/kis_canvas_widget_base.cpp:230
#52 0xb7c28f87 in KisOpenGLCanvas2::mousePressEvent (this=0x9095588, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/opengl/kis_opengl_canvas2.cpp:427
#53 0xb5b43dec in QWidget::event (this=0x9095588, event=0xbfffeaf0) at kernel/qwidget.cpp:8183
#54 0xb7c29167 in KisOpenGLCanvas2::event (this=0x9095588, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/opengl/kis_opengl_canvas2.cpp:396
#55 0xb5ae5fdc in QApplicationPrivate::notify_helper (this=0x809e120, receiver=0x9095588, e=0xbfffeaf0) at kernel/qapplication.cpp:4396
#56 0xb5aecc2e in QApplication::notify (this=0xbffff1b0, receiver=0x9095588, e=0xbfffeaf0) at kernel/qapplication.cpp:3959
#57 0xb665e01a in KApplication::notify (this=0xbffff1b0, receiver=0x9095588, event=0xbfffeaf0) at ../../kdeui/kernel/kapplication.cpp:310
#58 0xb7e8bb3b in QCoreApplication::notifyInternal (this=0xbffff1b0, receiver=0x9095588, event=0xbfffeaf0) at kernel/qcoreapplication.cpp:732
#59 0xb5aeb094 in sendEvent (receiver=0x9095588, event=0xbfffeaf0, alienWidget=0x0, nativeWidget=0x9095588, buttonDown=0xb64803c0, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#60 QApplicationPrivate::sendMouseEvent (receiver=0x9095588, event=0xbfffeaf0, alienWidget=0x0, nativeWidget=0x9095588, buttonDown=0xb64803c0, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3058
#61 0xb5b79d10 in QETWidget::translateMouseEvent (this=0x9095588, event=0xbffff00c) at kernel/qapplication_x11.cpp:4403
#62 0xb5b79151 in QApplication::x11ProcessEvent (this=0xbffff1b0, event=0xbffff00c) at kernel/qapplication_x11.cpp:3414
#63 0xb5ba8fc7 in QEventDispatcherX11::processEvents (this=0x804fb70, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#64 0xb7e8a609 in QEventLoop::processEvents (this=0xbffff144, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at kernel/qeventloop.cpp:149
#65 0xb7e8aa8a in QEventLoop::exec (this=0xbffff144, flags=...) at kernel/qeventloop.cpp:201
#66 0xb7e8f00f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#67 0xb5ae4e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#68 0xb7fdc52d in kdemain (argc=1, argv=0xbffff2c4) at /home/user/Apps/Koffice/koffice-src/krita/main.cc:49
#69 0x080487fb in main (argc=1, argv=0xbffff2c4) at /home/user/Apps/Koffice/koffice-build/krita/krita_dummy.cpp:3
Comment 12 Dmitry Kazakov 2010-11-21 09:49:26 UTC
This is another backtrace, btw...
Comment 13 Cyrille Berger 2010-11-21 10:15:16 UTC
SVN commit 1199242 by berger:

add some guards to avoid dividing by 0

CCBUG:255617


 M  +6 -0      kis_color_patches.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1199242
Comment 14 Cyrille Berger 2010-11-21 10:16:25 UTC
I have added some code that should prevent the last backtrace. Since I cannot reproduce the bug I am closing as NEEDSINFO, if you can test that it does not happen anymore for you as well ?
Comment 15 Kubuntiac 2010-11-21 18:15:28 UTC
From Revision#1199343


Program received signal SIGFPE, Arithmetic exception.
0xb1582bc9 in KisColorPatches::widthForHeight (this=0x8ffd898, height=14) at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:336
336         return numCols*m_patchWidth;


Backtrace:
#0  0xb1582bc9 in KisColorPatches::widthForHeight (this=0x8ffd898, height=14)                                                                                                                 
    at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:336                                                                         
#1  0xb1583390 in KisColorPatches::resizeEvent (this=0x8ffd898, event=0xbfffd1e8)                                                                                                             
    at /home/user/Apps/Koffice/koffice-src/krita/plugins/extensions/dockers/colorselectorng/kis_color_patches.cpp:144                                                                         
#2  0xb5b42c53 in QWidget::event (this=0x8ffd898, event=0xbfffd1e8) at kernel/qwidget.cpp:8341                                                                                                
#3  0xb5ae4fdc in QApplicationPrivate::notify_helper (this=0x809e120, receiver=0x8ffd898, e=0xbfffd1e8) at kernel/qapplication.cpp:4396                                                       
#4  0xb5aeb0e9 in QApplication::notify (this=0xbffff1b0, receiver=0x8ffd898, e=0xbfffd1e8) at kernel/qapplication.cpp:4361                                                                    
#5  0xb665d01a in KApplication::notify (this=0xbffff1b0, receiver=0x8ffd898, event=0xbfffd1e8) at ../../kdeui/kernel/kapplication.cpp:310                                                     
#6  0xb7e8bb3b in QCoreApplication::notifyInternal (this=0xbffff1b0, receiver=0x8ffd898, event=0xbfffd1e8) at kernel/qcoreapplication.cpp:732                                                 
#7  0xb5b41df9 in sendEvent (this=0x8ffdc70, recursive=true, disableUpdates=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215                                     
#8  QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8ffdc70, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7257                                                           
#9  0xb5b41d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8ff7b68, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269
#10 0xb5b41d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x8ff4128, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269                                             
#11 0xb5b41d67 in QWidgetPrivate::sendPendingMoveAndResizeEvents (this=0x81cf4f0, recursive=true, disableUpdates=true) at kernel/qwidget.cpp:7269
#12 0xb5b466b1 in QWidgetPrivate::prepareToRender (this=0x97d1c00, region=..., renderFlags=...) at kernel/qwidget.cpp:5236
#13 0xb5b4afd4 in QWidgetPrivate::render (this=0x97d1c00, target=0xbfffd624, targetOffset=..., sourceRegion=..., renderFlags=..., readyToRender=false) at kernel/qwidget.cpp:5489
#14 0xb5b4b24c in QWidget::render (this=0x98b83b8, target=0xbfffd624, targetOffset=..., sourceRegion=..., renderFlags=...) at kernel/qwidget.cpp:5019
#15 0xb443450d in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#16 0xb4434655 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#17 0xb442af35 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#18 0xb442a730 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#19 0xb442ad77 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#20 0xb7e918ca in QMetaObject::metacall (object=0xa5514c8, cl=150984856, idx=-1073752660, argv=0xbfffd624) at kernel/qmetaobject.cpp:237
#21 0xb7ea46ad in QMetaObject::activate (sender=0x98b83b8, m=0xb6468224, local_signal_index=5, argv=0x14) at kernel/qobject.cpp:3280
#22 0xb5f2c783 in QComboBox::currentIndexChanged (this=0x98b83b8, _t1=-1) at .moc/release-shared/moc_qcombobox.cpp:302
#23 0xb5f2e3da in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x97d1c00, index=...) at widgets/qcombobox.cpp:1264
#24 0xb5f328a1 in QComboBoxPrivate::_q_modelReset (this=0x97d1c00) at widgets/qcombobox.cpp:212
#25 0xb5f3805b in QComboBox::qt_metacall (this=0x98b83b8, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbfffda2c) at .moc/release-shared/moc_qcombobox.cpp:202
#26 0xb672836a in KComboBox::qt_metacall (this=0x98b83b8, _c=QMetaObject::InvokeMetaMethod, _id=50, _a=0xbfffda2c) at ./kcombobox.moc:106
#27 0xb7c5656a in KisCmbComposite::qt_metacall (this=0x98b83b8, _c=QMetaObject::InvokeMetaMethod, _id=50, _a=0xbfffda2c)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_cmb_composite.moc:74
#28 0xb7e918ca in QMetaObject::metacall (object=0x98b83b8, cl=150984856, idx=50, argv=0xbfffda2c) at kernel/qmetaobject.cpp:237
#29 0xb7ea46ad in QMetaObject::activate (sender=0x9902d50, m=0xb7fbe198, local_signal_index=13, argv=0x14) at kernel/qobject.cpp:3280
#30 0xb7ef50e7 in QAbstractItemModel::modelReset (this=0x9902d50) at .moc/release-shared/moc_qabstractitemmodel.cpp:235
#31 0xb7e86da9 in QAbstractItemModel::endResetModel (this=0x9902d50) at kernel/qabstractitemmodel.cpp:2906
#32 0xb614d9b0 in QSortFilterProxyModel::setSourceModel (this=0x9902d50, sourceModel=0x8efea30) at itemviews/qsortfilterproxymodel.cpp:1624
#33 0xb7c566b3 in KisCmbComposite::setCompositeOpList (this=0x98b83b8, list=..., whitelist=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/widgets/kis_cmb_composite.cc:53
#34 0xb7bab2bb in KisPaintopBox::updateCompositeOpComboBox (this=0x9ad6be8) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_paintop_box.cc:503
#35 0xb7bab8df in KisPaintopBox::nodeChanged (this=0x9ad6be8, node=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_paintop_box.cc:473
#36 0xb7bb13a8 in KisPaintopBox::qt_metacall (this=0x9ad6be8, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfffdde8)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_paintop_box.moc:110
#37 0xb7e918ca in QMetaObject::metacall (object=0x9ad6be8, cl=150984856, idx=36, argv=0xbfffdde8) at kernel/qmetaobject.cpp:237
#38 0xb7ea46ad in QMetaObject::activate (sender=0x93e1048, m=0xb7cff924, local_signal_index=5, argv=0x14) at kernel/qobject.cpp:3280
#39 0xb7b3a6a3 in KisCanvasResourceProvider::sigNodeChanged (this=0x93e1048, _t1=...) at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_canvas_resource_provider.moc:184
#40 0xb7b3ce06 in KisCanvasResourceProvider::slotResourceChanged (this=0x93e1048, key=6006, res=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_canvas_resource_provider.cpp:306
#41 0xb7b3e802 in KisCanvasResourceProvider::qt_metacall (this=0x93e1048, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbfffe004)
    at /home/user/Apps/Koffice/koffice-build/krita/ui/kis_canvas_resource_provider.moc:137
#42 0xb7e918ca in QMetaObject::metacall (object=0x93e1048, cl=150984856, idx=25, argv=0xbfffe004) at kernel/qmetaobject.cpp:237
#43 0xb7ea46ad in QMetaObject::activate (sender=0x902bec8, m=0xb6f98e44, local_signal_index=0, argv=0x14) at kernel/qobject.cpp:3280
#44 0xb6ecb2a9 in KoResourceManager::resourceChanged (this=0x902bec8, _t1=6006, _t2=...) at /home/user/Apps/Koffice/koffice-build/libs/flake/KoResourceManager.moc:85
#45 0xb6ecc450 in KoResourceManager::setResource (this=0x902bec8, key=6006, value=...) at /home/user/Apps/Koffice/koffice-src/libs/flake/KoResourceManager.cpp:57
#46 0xb7b3b9b4 in KisCanvasResourceProvider::slotNodeActivated (this=0x93e1048, node=...) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_canvas_resource_provider.cpp:244
#47 0xb7b835cd in KisLayerManager::activateLayer (this=0x99cb760, layer=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_layer_manager.cc:125
#48 0xb7b9dc59 in KisNodeManager::activateNode (this=0x99cb820, node=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at /home/user/Apps/Koffice/koffice-src/krita/ui/kis_node_manager.cpp:320
#49 0xb167a6ba in KisToolMove::mousePressEvent (this=0x99c0e68, event=0xbfffe414) at /home/user/Apps/Koffice/koffice-src/krita/plugins/tools/defaulttools/kis_tool_move.cc:206
#50 0xb6f1e3c4 in KoToolProxy::mousePressEvent (this=0x9042250, event=0xbfffeaf0, point=...) at /home/user/Apps/Koffice/koffice-src/libs/flake/KoToolProxy.cpp:183
#51 0xb7acf78d in KisCanvasWidgetBase::processMousePressEvent (this=0x908d5dc, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/canvas/kis_canvas_widget_base.cpp:230
#52 0xb7c28627 in KisOpenGLCanvas2::mousePressEvent (this=0x908d5c8, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/opengl/kis_opengl_canvas2.cpp:427
#53 0xb5b42dec in QWidget::event (this=0x908d5c8, event=0xbfffeaf0) at kernel/qwidget.cpp:8183
#54 0xb7c28807 in KisOpenGLCanvas2::event (this=0x908d5c8, e=0xbfffeaf0) at /home/user/Apps/Koffice/koffice-src/krita/ui/opengl/kis_opengl_canvas2.cpp:396
#55 0xb5ae4fdc in QApplicationPrivate::notify_helper (this=0x809e120, receiver=0x908d5c8, e=0xbfffeaf0) at kernel/qapplication.cpp:4396
#56 0xb5aebc2e in QApplication::notify (this=0xbffff1b0, receiver=0x908d5c8, e=0xbfffeaf0) at kernel/qapplication.cpp:3959
#57 0xb665d01a in KApplication::notify (this=0xbffff1b0, receiver=0x908d5c8, event=0xbfffeaf0) at ../../kdeui/kernel/kapplication.cpp:310
#58 0xb7e8bb3b in QCoreApplication::notifyInternal (this=0xbffff1b0, receiver=0x908d5c8, event=0xbfffeaf0) at kernel/qcoreapplication.cpp:732
#59 0xb5aea094 in sendEvent (receiver=0x908d5c8, event=0xbfffeaf0, alienWidget=0x0, nativeWidget=0x908d5c8, buttonDown=0xb647f3c0, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#60 QApplicationPrivate::sendMouseEvent (receiver=0x908d5c8, event=0xbfffeaf0, alienWidget=0x0, nativeWidget=0x908d5c8, buttonDown=0xb647f3c0, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3058
#61 0xb5b78d10 in QETWidget::translateMouseEvent (this=0x908d5c8, event=0xbffff00c) at kernel/qapplication_x11.cpp:4403
#62 0xb5b78151 in QApplication::x11ProcessEvent (this=0xbffff1b0, event=0xbffff00c) at kernel/qapplication_x11.cpp:3414
#63 0xb5ba7fc7 in QEventDispatcherX11::processEvents (this=0x804fb70, flags=...) at kernel/qeventdispatcher_x11.cpp:132
#64 0xb7e8a609 in QEventLoop::processEvents (this=0xbffff144, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at kernel/qeventloop.cpp:149
#65 0xb7e8aa8a in QEventLoop::exec (this=0xbffff144, flags=...) at kernel/qeventloop.cpp:201
#66 0xb7e8f00f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#67 0xb5ae3e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#68 0xb7fdc52d in kdemain (argc=1, argv=0xbffff2c4) at /home/user/Apps/Koffice/koffice-src/krita/main.cc:49
#69 0x080487fb in main (argc=1, argv=0xbffff2c4) at /home/user/Apps/Koffice/koffice-build/krita/krita_dummy.cpp:3
Comment 16 Cyrille Berger 2010-11-21 18:50:38 UTC
Hum. Can you make a copy of your kritarc, then remove it from your .kde, then try again. And if it does not crash anymore, attach the backuped kritarc to this bug report ?
Comment 17 Kubuntiac 2010-11-21 20:59:13 UTC
No, I still get a problem.

KisTile::init (this=0xa7455360, col=14, row=5, defaultTileData=0x0, mm=0x0) at
/home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile.cc:37
37          m_tileData->acquire();

Backtrace:
#0  KisTile::init (this=0xa7455360, col=14, row=5, defaultTileData=0x0, mm=0x0)
at /home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile.cc:37
#1  0xb78c4665 in KisTile::KisTile (this=0xa7455360, col=14, row=5,
defaultTileData=0x0, mm=0x0) at
/home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tile.cc:49           
#2  0xb78cf11f in KisTileHashTableTraits<KisTile>::getReadOnlyTileLazy(int,
int) () from /home/user/Apps/Koffice/koffice-inst/lib/libkritaimage.so.8        
#3  0xb78dea40 in getTile (this=0xa92f10e8, col=14, row=5) at
/home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_data_manager.h:139 
#4  KisTiledRandomAccessor::fetchTileData (this=0xa92f10e8, col=14, row=5) at
/home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_random_accessor.cc:116 
#5  0xb78dec40 in KisTiledRandomAccessor::moveTo (this=0xa92f10e8, x=896,
y=320) at
/home/user/Apps/Koffice/koffice-src/krita/image/tiles3/kis_tiled_random_accessor.cc:89 
#6  0xb799e155 in KisRandomConstAccessor::moveTo (this=0xa5dfde04, x=896,
y=320) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_random_accessor.cpp:66      
#7  0xb78ed8e1 in moveTo (this=0xa5dfdf28, dstX=512, dstY=0, srcDev=...,
srcX=512, srcY=0, srcWidth=512, srcHeight=512)                                  
    at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_random_accessor.h:167    
#8  KisPainter::bitBlt (this=0xa5dfdf28, dstX=512, dstY=0, srcDev=...,
srcX=512, srcY=0, srcWidth=512, srcHeight=512) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:507   
#9  0xb78f051e in KisPainter::bitBlt (this=0xa5dfdf28, pos=..., srcDev=...,
srcRect=...) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:588              
#10 0xb7973c2c in KisMask::apply (this=0xf8068e8, projection=..., rc=...) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_mask.cc:207                 
#11 0xb796cfe4 in KisLayer::applyMasks (this=0x11c56810, source=...,
destination=..., requestedRect=...) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:406                
#12 0xb796d4a6 in KisLayer::updateProjection (this=0x11c56810, rect=...) at
/home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:436                
#13 0xb78c2fb0 in KisAsyncMerger::startMerge (this=0x118e35f4, walker=...) at
/home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_async_merger.h:211 
#14 0xb78c331c in KisUpdateJobItem::run (this=0x118e35e0) at
/home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39 
#15 0xb7d7e523 in QThreadPoolThread::run (this=0xa7490610) at
concurrent/qthreadpool.cpp:106
#16 0xb7d89df9 in QThreadPrivate::start (arg=0xa7490610) at
thread/qthread_unix.cpp:266#17 0xb7d12cc9 in start_thread () from
/lib/libpthread.so.0
#18 0xb536f6be in clone () from /lib/libc.so.6
Comment 18 Dmitry Kazakov 2010-11-21 21:06:03 UTC
Sounds like a heavy memory corruption =(
Comment 19 Kubuntiac 2010-11-21 22:39:47 UTC
Would it be worth running MemTest on my machine, or do you mean corruption caused by the software?
Comment 20 Dmitry Kazakov 2010-11-21 22:52:28 UTC
By software, of course ;) Something inside Krita. There is nothing wrong with your machine.
Btw how many cores do you have?
Comment 21 Kubuntiac 2010-11-21 23:01:52 UTC
This machine has 4 cores. It's an AMD Phenom II.
Comment 22 Ganesh Paramasivam 2010-12-06 18:43:56 UTC
commit ad86aaa20d4604b2bed16c9f493fcca2ddb79c7a
branch words-change_tracking-ganeshp
Merge: 7cfdc06 e20e0ca
Author: Ganesh Paramasivam <ganesh@crystalfab.com>
Date:   Mon Nov 22 04:17:42 2010 +0000

    Merged revisions 1197258,1197287,1197309,1197315,1197345,1197348-1197350,1197391-1197393,1197398,1197599,1197608,1197656,1197739,1197749,1197766-1197767,1197783,1197838,1197965,1198098,1198117,1198207,1198231,1198402,1198450,1198459,1198502,1198696,1198728-1198729,1198742,1198769,1198772,1198799,1198803,1198810,1198816,1198824-1198825,1198838,1198847,1198898,1199003-1199004,1199022,1199034,1199038-1199040,1199049,1199053,1199060-1199064,1199069,1199100,1199105,1199160,1199240,1199242,1199261,1199264,1199266,1199269,1199272,1199295,1199348,1199370,1199381,1199447 via svnmerge from
    svn+ssh://ganeshp@svn.kde.org/home/kde/trunk/koffice
    
    ........
      r1197258 | lassin | 2010-11-15 15:00:05 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Minor style & performance improvement to ooxml.
    ........
      r1197287 | lassin | 2010-11-15 16:03:13 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Re-enabled docx filter to support negative indentation.
    ........
      r1197309 | lassin | 2010-11-15 16:46:20 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Fixed docx to understand Choice introduced by msoffice 2010 between VML & DrawingML(Not supported atm)
    ........
      r1197315 | lassin | 2010-11-15 17:22:09 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Added settings.xml to ooxml filter output.
    ........
      r1197345 | berger | 2010-11-15 19:02:03 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      remove this debug line, it is not usefull and it is triggering exit problem
    ........
      r1197348 | dfaure | 2010-11-15 19:11:50 +0530 (Mon, 15 Nov 2010) | 3 lines
    
      Port away from KoFactory/KParts::Factory - just reimplement KPluginFactory::create directly - so that kword
      works with kdelibs-in-mobile-profile.
    ........
      r1197349 | dfaure | 2010-11-15 19:19:29 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Update api docs not to mention KParts::Factory::createPart.
    ........
      r1197350 | lassin | 2010-11-15 19:31:21 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      Added vertial information to docx pictures.
    ........
      r1197391 | mkruisselbrink | 2010-11-15 22:14:02 +0530 (Mon, 15 Nov 2010) | 1 line
    
      don't crash when a document doesn't contain any tables
    ........
      r1197392 | mkruisselbrink | 2010-11-15 22:14:04 +0530 (Mon, 15 Nov 2010) | 1 line
    
      deprecated--
    ........
      r1197393 | mkruisselbrink | 2010-11-15 22:14:09 +0530 (Mon, 15 Nov 2010) | 1 line
    
      port all the other factories to non-deprecated KPluginFactory api's
    ........
      r1197398 | uzak | 2010-11-15 22:31:32 +0530 (Mon, 15 Nov 2010) | 2 lines
    
      DOC: Added support for simple MACROBUTTON field.
    ........
      r1197599 | mkruisselbrink | 2010-11-16 14:20:04 +0530 (Tue, 16 Nov 2010) | 1 line
    
      directly create sheets with their correct name; this prevents crashes when default-named sheets exist in the document, but are out of order
    ........
      r1197608 | hanzes | 2010-11-16 15:18:56 +0530 (Tue, 16 Nov 2010) | 1 line
    
      Added support for hyperlinks in kpresenter presentation mode
    ........
      r1197656 | lassin | 2010-11-16 16:35:28 +0530 (Tue, 16 Nov 2010) | 2 lines
    
      Fixed docx filter to support colored bullets (note that kword does not support them yet).
    ........
      r1197739 | scripty | 2010-11-16 17:14:14 +0530 (Tue, 16 Nov 2010) | 1 line
    
      SVN_SILENT made messages (.desktop file)
    ........
      r1197749 | lassin | 2010-11-16 17:27:58 +0530 (Tue, 16 Nov 2010) | 2 lines
    
      Fix a crash when trying to open pptx files created by ooimpress. (As it doesn't create defaultStyles)
    ........
      r1197766 | vandenoever | 2010-11-16 19:00:16 +0530 (Tue, 16 Nov 2010) | 1 line
    
      Fix detection of OpenOffice sdk for Fedora 14.
    ........
      r1197767 | vandenoever | 2010-11-16 19:00:48 +0530 (Tue, 16 Nov 2010) | 3 lines
    
      Fix API for downloading document.
      Google now reports every click on the search page back to google before it does a redirect. By introspecting the urls we avoid this.
      Beware of you privacy!.
    ........
      r1197783 | lassin | 2010-11-16 19:32:58 +0530 (Tue, 16 Nov 2010) | 2 lines
    
      Small code cleanup to docx filter.
    ........
      r1197838 | uzak | 2010-11-16 23:49:43 +0530 (Tue, 16 Nov 2010) | 2 lines
    
      DOC: Added basic support for these fields: AUTHOR, EDITTIME, FILENAME
    ........
      r1197965 | berger | 2010-11-17 14:07:49 +0530 (Wed, 17 Nov 2010) | 4 lines
    
      Fix startup crash, create the about data in the aboutdata() function
    
      BUG: 257100
    ........
      r1198098 | berger | 2010-11-17 17:17:21 +0530 (Wed, 17 Nov 2010) | 6 lines
    
      Fix: crash when removing a view.
    
      BUG: 254264
    
      Reviewed in http://svn.reviewboard.kde.org/r/5838/
    ........
      r1198117 | lassin | 2010-11-17 19:12:31 +0530 (Wed, 17 Nov 2010) | 2 lines
    
      Fixed a pptx bug where sometimes placeholders form slidelayout were in slides when they shouldn't have.
    ........
      r1198207 | dkazakov | 2010-11-18 02:37:25 +0530 (Thu, 18 Nov 2010) | 20 lines
    
      Fixed several bugs in KisPerspectiveGridManager
    
      What is done:
      1) Now the manager doesn't even try to paint the lines inside the
         polygon that is not convex. It used to lead to a really weird
         picture of a hedgehog on a user's screen :P
      2) Fixed an "infinity"-bug. Eigen::Hyperplane::intersection() returns
         a random point in case the lines are parallel. Now an additional
         check returns a point somewhere around infinity to workaround this
         behavior.
      3) Changed the algorithm that chooses a line to chop up into
         "subdivisions". Now the farthest line from the focus is used for
         the division.
    
      Still to be done:
      - Make KisPerspectiveGridTool interactive. It will be a really short
        fix. I just need to overcome a small infinite loop somewhere ;)
    
      BUG:251731
    ........
      r1198231 | abeaumont | 2010-11-18 04:02:07 +0530 (Thu, 18 Nov 2010) | 5 lines
    
      Add a new 'namespace' parameter to content saving method, which defaults to
      'math', the proper namespaec for ODF.
      Modify load/saving testsuite to make use of empty namespace to fix tests
      broken when 'math' namespace was first introduced (hardcoded)
    ........
      r1198402 | ganeshp | 2010-11-18 15:14:17 +0530 (Thu, 18 Nov 2010) | 1 line
    
      Fix for bug 243923: Check whether we are working with an existing block (in which case this is actually a paste and so the pragraph style should not be applied) before setting a paragraph style
    ........
      r1198450 | breitmeyer | 2010-11-18 19:41:13 +0530 (Thu, 18 Nov 2010) | 3 lines
    
      marked the test that were expected to fail accordingly,
      so the tests won't show errors
    ........
      r1198459 | uzak | 2010-11-18 20:11:50 +0530 (Thu, 18 Nov 2010) | 2 lines
    
      DOC: Added initial support for the SYMBOL field.
    ........
      r1198502 | langkamp | 2010-11-18 23:04:07 +0530 (Thu, 18 Nov 2010) | 1 line
    
      disable brush editor, not ready for release
    ........
      r1198696 | scripty | 2010-11-19 15:22:47 +0530 (Fri, 19 Nov 2010) | 1 line
    
      SVN_SILENT made messages (.desktop file)
    ........
      r1198728 | lassin | 2010-11-19 19:26:09 +0530 (Fri, 19 Nov 2010) | 2 lines
    
      Fixed shape placement bugs in pptx.
    ........
      r1198729 | uzak | 2010-11-19 19:29:51 +0530 (Fri, 19 Nov 2010) | 2 lines
    
      DOC: Added support for the TITLE field.  Improved instructions suport of the SYMBOL field.
    ........
      r1198742 | lassin | 2010-11-19 20:18:33 +0530 (Fri, 19 Nov 2010) | 2 lines
    
      Fixed ooxml drawingML to have blipfill as one possible fill.
    ........
      r1198769 | pavelheimlich | 2010-11-19 22:32:04 +0530 (Fri, 19 Nov 2010) | 2 lines
    
      Qt macro should not be followed by a semicolon. Fixes build with Sun Studio
    ........
      r1198772 | pavelheimlich | 2010-11-19 22:44:11 +0530 (Fri, 19 Nov 2010) | 2 lines
    
      since qt4.7 QString cannot be initialized by int
    ........
      r1198799 | dkazakov | 2010-11-20 01:35:33 +0530 (Sat, 20 Nov 2010) | 7 lines
    
      Made KisToolPerspectiveGrid work in interactive mode
    
      There was a bug that lead to an infinite loop. It happened due to a
      (NaN,NaN) intersection points those appeared after calculation of
      intersection of null-length lines %). Now we just check for the length
      of the line.
    ........
      r1198803 | uzak | 2010-11-20 01:44:34 +0530 (Sat, 20 Nov 2010) | 2 lines
    
      PPT: Small update of the bullet size processing.
    ........
      r1198810 | berger | 2010-11-20 01:55:22 +0530 (Sat, 20 Nov 2010) | 4 lines
    
      Fix: dolphin/plasma hangs when launching Krita
    
      BUG: 233871
    ........
      r1198816 | pavelheimlich | 2010-11-20 02:43:21 +0530 (Sat, 20 Nov 2010) | 2 lines
    
      since Qt 4.7, QString cannot be initialized by int
    ........
      r1198824 | staniek | 2010-11-20 03:13:02 +0530 (Sat, 20 Nov 2010) | 1 line
    
      fix memory leak in mysql driver
    ........
      r1198825 | staniek | 2010-11-20 03:18:14 +0530 (Sat, 20 Nov 2010) | 2 lines
    
      SVN_SILENT update
    ........
      r1198838 | pavolk | 2010-11-20 04:24:50 +0530 (Sat, 20 Nov 2010) | 1 line
    
      inline object can be inserted with specified char format
    ........
      r1198847 | staniek | 2010-11-20 05:32:04 +0530 (Sat, 20 Nov 2010) | 2 lines
    
      global objects of type Property not needed; fixes crash of library unload in Kexi
    ........
      r1198898 | dkazakov | 2010-11-20 13:48:13 +0530 (Sat, 20 Nov 2010) | 4 lines
    
      The full image refresh should be done on document loading only
    
      BUG:257264
    ........
      r1199003 | rempt | 2010-11-20 16:01:28 +0530 (Sat, 20 Nov 2010) | 1 line
    
      Fix warning
    ........
      r1199004 | rempt | 2010-11-20 16:01:31 +0530 (Sat, 20 Nov 2010) | 1 line
    
      remove deprecated qt3 stuff
    ........
      r1199022 | rempt | 2010-11-20 17:06:34 +0530 (Sat, 20 Nov 2010) | 3 lines
    
      Do not use the deprecated KCategoryDrawer
    
      (Though it's a mystery why it's deprecated.)
    ........
      r1199034 | rempt | 2010-11-20 17:36:26 +0530 (Sat, 20 Nov 2010) | 1 line
    
      q3--
    ........
      r1199038 | zander | 2010-11-20 18:10:56 +0530 (Sat, 20 Nov 2010) | 1 line
    
      Move comment
    ........
      r1199039 | zander | 2010-11-20 18:10:58 +0530 (Sat, 20 Nov 2010) | 6 lines
    
      Fix test to pass even with optical alignment
    
      In newer versions of the base libraries (Qt and lower) a new
      feature was introduced which makes text rendering look much nicer
      but it broke our test which assumed simpler algoritmns.
      Fix test and make regressions go away.
    ........
      r1199040 | zander | 2010-11-20 18:40:23 +0530 (Sat, 20 Nov 2010) | 6 lines
    
      Fix Minimised dockers are hiding name.
    
      Patch from Rahul Das, thanks a lot for fixing this issue :)
    
      BUG: 201160
      CCMAIL: h.rahuldas@gmail.com
    ........
      r1199049 | rempt | 2010-11-20 19:19:47 +0530 (Sat, 20 Nov 2010) | 1 line
    
      deprecated--
    ........
      r1199053 | rempt | 2010-11-20 19:30:42 +0530 (Sat, 20 Nov 2010) | 1 line
    
      deprecated--
    ........
      r1199060 | rempt | 2010-11-20 19:39:38 +0530 (Sat, 20 Nov 2010) | 1 line
    
      remove some deprecated items
    ........
      r1199061 | rempt | 2010-11-20 19:39:44 +0530 (Sat, 20 Nov 2010) | 1 line
    
      warning--
    ........
      r1199062 | rempt | 2010-11-20 19:39:48 +0530 (Sat, 20 Nov 2010) | 1 line
    
      qt3--
    ........
      r1199063 | rempt | 2010-11-20 19:39:52 +0530 (Sat, 20 Nov 2010) | 1 line
    
      qt3--
    ........
      r1199064 | rempt | 2010-11-20 19:39:56 +0530 (Sat, 20 Nov 2010) | 1 line
    
      qt3--
    ........
      r1199069 | rempt | 2010-11-20 20:10:01 +0530 (Sat, 20 Nov 2010) | 1 line
    
      deprecated only from 4.5 onwards
    ........
      r1199100 | rempt | 2010-11-20 21:56:56 +0530 (Sat, 20 Nov 2010) | 1 line
    
      restore braces
    ........
      r1199105 | berger | 2010-11-20 22:19:08 +0530 (Sat, 20 Nov 2010) | 3 lines
    
      make the krita benchmarks runed with "make benchmark" instead of "make test"
    ........
      r1199160 | zander | 2010-11-21 03:19:15 +0530 (Sun, 21 Nov 2010) | 3 lines
    
      Fix loading underline from kwd
    
      BUG: 256641
    ........
      r1199240 | dkazakov | 2010-11-21 14:16:34 +0530 (Sun, 21 Nov 2010) | 4 lines
    
      Fix Clone Layer loading
    
      The link to the source layer should be initialized.
    ........
      r1199242 | berger | 2010-11-21 14:45:39 +0530 (Sun, 21 Nov 2010) | 4 lines
    
      add some guards to avoid dividing by 0
    
      CCBUG:255617
    ........
      r1199261 | dkazakov | 2010-11-21 15:20:23 +0530 (Sun, 21 Nov 2010) | 6 lines
    
      Make proper default values for KisTransformationMask
    
      KisKraSaverTest uses default constructed value of the mask for the
      testing so change the default scale to a sane value. Nevertheless we
      don't use these masks anywhere yet.
    ........
      r1199264 | berger | 2010-11-21 15:53:55 +0530 (Sun, 21 Nov 2010) | 2 lines
    
      move the full detection of lcms2 up
    ........
      r1199266 | berger | 2010-11-21 16:01:47 +0530 (Sun, 21 Nov 2010) | 4 lines
    
      excludes some files from testing from now on 64bits and lcms
    
      tracked in https://bugs.kde.org/show_bug.cgi?id=257498 and https://bugs.kde.org/show_bug.cgi?id=257499
    ........
      r1199269 | berger | 2010-11-21 16:13:19 +0530 (Sun, 21 Nov 2010) | 2 lines
    
      64bits and 32bits have different FPU and different results
    ........
      r1199272 | mkruisselbrink | 2010-11-21 17:00:45 +0530 (Sun, 21 Nov 2010) | 1 line
    
      make the signature in the header file match that of the implementation
    ........
      r1199295 | berger | 2010-11-21 20:32:15 +0530 (Sun, 21 Nov 2010) | 2 lines
    
      allow testfiles to get fuzzy parameter
    ........
      r1199348 | dkazakov | 2010-11-21 22:45:47 +0530 (Sun, 21 Nov 2010) | 5 lines
    
      Removed deprecated stuff
    
      - repaintOriginal() was deprecated by the beginning of February
      - steDirty()'s are useless because the image is locked while loading
    ........
      r1199370 | berger | 2010-11-21 23:30:22 +0530 (Sun, 21 Nov 2010) | 2 lines
    
      add the benchmarks to the benchmark target instead of test
    ........
      r1199381 | berger | 2010-11-22 00:34:43 +0530 (Mon, 22 Nov 2010) | 2 lines
    
      make sure version 0.9.13 or higher is used now
    ........
      r1199447 | dkazakov | 2010-11-22 03:35:03 +0530 (Mon, 22 Nov 2010) | 16 lines
    
      Fixed a full refresh for Clone layers
    
      Now the Async Merger knows about one more type of layer position:
      N_EXTRA. Such layer will be counted in a need rect chain and will be
      updated (original+projection), but it will not be merged into  the
      final projection of the image. This is done for preliminary updates of
      the sources of Clone layers.
    
      Btw, i would suggest everyone to perform 'make clean' in
      ./krita/image/ folder, because many parts of walkers are
      inlined. There is no need to do a full clean, just in ./image/
      directory.
    
      CCMAIL:kimageshop@kde.org
      BUG:257532
    ........
    
    svn path=/branches/work/koffice-change-tracking/; revision=1199500
Comment 23 Dmitry Kazakov 2010-12-13 22:58:29 UTC
Created attachment 54522 [details]
patch that has already been committed to git (but not to 2.3 svn yet)
Comment 24 Dmitry Kazakov 2010-12-13 22:59:36 UTC
Could you, please, check this bug with current Krita? I've just committed the patch that fixes similar bug. Maybe that was the same bug.

The only trouble, it is in git now. You may update it from git, or just apply the patch in attachment.

cd ~/.../calligra/
patch -p1 < ~/...path_to_patch/patchname.patch
Comment 25 Kubuntiac 2010-12-16 21:14:56 UTC
I just tried again with r1207034 and am still getting this. I'll try wiping my build and source directories and rebuilding and see if that helps...

bt:


Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xaddfcb70 (LWP 7834)]
0xb5313fb6 in ?? () from /lib/libc.so.6

#0  0xb5313fb6 in ?? () from /lib/libc.so.6
#1  0xabfc84f8 in ?? ()
#2  0xb6e40c3a in KoColorSpace::bitBlt (this=0x9add810, dst=0xabfc74f8 "", dstRowStride=256, 
    srcSpace=0x8acb418, src=0xa79fd030 "", srcRowStride=256, srcAlphaMask=0x0, maskRowStride=0,                                                                                               
    opacity=<value optimized out>, rows=30, cols=36, op=0x9ae9600, channelFlags=...)                                                                                                          
    at /home/user/Apps/Koffice/koffice-src/libs/pigment/KoColorSpace.cpp:331                                                                                                                  
#3  0xb78ed05e in KisPainter::bitBlt (this=0xaddfbf3c, dstX=320, dstY=192, srcDev=..., srcX=320, srcY=192,                                                                                    
    srcWidth=192, srcHeight=320) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_painter.cc:569
#4  0xb78ef69e in KisPainter::bitBlt (this=0xaddfbf3c, pos=..., srcDev=..., srcRect=...)
#5  0xb798dc1c in KisPaintLayer::copyOriginalToProjection (this=0x8ac3240, original=..., projection=...,                                                                                      
    rect=...) at /home/user/Apps/Koffice/koffice-src/krita/image/kis_paint_layer.cc:125
#6  0xb796c551 in KisLayer::applyMasks (this=0x8ac3240, source=..., destination=..., requestedRect=...)                                                                                       
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:388                                                                                                                       
#7  0xb796cf06 in KisLayer::updateProjection (this=0x8ac3240, rect=...)                                                                                                                       
    at /home/user/Apps/Koffice/koffice-src/krita/image/kis_layer.cc:436
#8  0xb78c2584 in KisAsyncMerger::startMerge (this=0xaf604c0c, walker=...)                                                                                                     
#9  0xb78c2dec in KisUpdateJobItem::run (this=0xaf604bf8)
    at /home/user/Apps/Koffice/koffice-build/krita/image/../../../koffice-src/krita/image/kis_updater_context.h:39
#10 0xb7d7d523 in QThreadPoolThread::run (this=0xac279200) at concurrent/qthreadpool.cpp:106
#11 0xb7d88df9 in QThreadPrivate::start (arg=0xac279200) at thread/qthread_unix.cpp:266
#12 0xb7d11cc9 in start_thread () from /lib/libpthread.so.0
#13 0xb536e69e in clone () from /lib/libc.so.6
Comment 26 Dmitry Kazakov 2010-12-16 22:56:35 UTC
No need to do a clean. I just wanted to be sure it is still reproducible =)
Thanks for the testing!
Comment 27 Dmitry Kazakov 2010-12-19 14:02:29 UTC
commit 1081b47359851f53d4a73eca2ecf3b8b938c2cb1
branch master
Author: Dmitry Kazakov <dimula73@gmail.com>
Date:   Sun Dec 19 15:52:44 2010 +0300

    Added a workaround for bug 255617
    
    1st: see a commit 1f3e41ed10baeb939c017b315d6b5986aed09d0b
    
    This patch makes KisToolMove block the updates for the image while it
    sets the offset for the layer. This is just a workaround, iterators
    infrastructure must be revised to conform always-read idea.
    
    This patch should be backported to 2.3
    
    CCMAIL:kimageshop@kde.org
    CCBUG:255617

diff --git a/krita/image/commands/kis_node_move_command.cpp b/krita/image/commands/kis_node_move_command.cpp
index 571d404..40bdef4 100644
--- a/krita/image/commands/kis_node_move_command.cpp
+++ b/krita/image/commands/kis_node_move_command.cpp
@@ -55,8 +55,16 @@ void KisNodeMoveCommand::undo()
 
 void KisNodeMoveCommand::moveTo(const QPoint& pos)
 {
+    /**
+     * FIXME: Hack alert:
+     * Our iterators don't have guarantees on thread-safety
+     * when the offset varies. When it is fixed, remove the locking.
+     * see: KisIterator::stressTest(), KisToolMove::mousePressEvent()
+     */
+    m_image->lock();
     m_node->setX(pos.x());
     m_node->setY(pos.y());
+    m_image->unlock();
 
     m_node->setDirty(m_updateRect);
     
diff --git a/krita/plugins/tools/defaulttools/kis_tool_move.cc b/krita/plugins/tools/defaulttools/kis_tool_move.cc
index 8068c4f..2ba2447 100644
--- a/krita/plugins/tools/defaulttools/kis_tool_move.cc
+++ b/krita/plugins/tools/defaulttools/kis_tool_move.cc
@@ -157,7 +157,7 @@ void KisToolMove::mousePressEvent(KoPointerEvent *event)
             node = currentNode();
         }
 
-        currentImage()->undoAdapter()->beginMacro(i18n("Move"));
+        image->undoAdapter()->beginMacro(i18n("Move"));
 
         if (selection && !selection->isTotallyUnselected(image->bounds()) && !selection->isDeselected() && !node->inherits("KisSelectionMask")) {
             // Create a temporary layer with the contents of the selection of the current layer.
@@ -187,7 +187,7 @@ void KisToolMove::mousePressEvent(KoPointerEvent *event)
 
                     if (image->globalSelection()) {
                         KisDeselectGlobalSelectionCommand* cmd = new KisDeselectGlobalSelectionCommand(image);
-                        currentImage()->undoAdapter()->addCommand(cmd);
+                        image->undoAdapter()->addCommand(cmd);
                     }
                 }
 
@@ -198,11 +198,11 @@ void KisToolMove::mousePressEvent(KoPointerEvent *event)
                 }
 
                 // create the new layer and add it.
-                KisPaintLayerSP layer = new KisPaintLayer(currentImage(),
+                KisPaintLayerSP layer = new KisPaintLayer(image,
                         node->name() + "(moved)",
                         oldLayer->opacity(),
                         dev);
-                currentImage()->undoAdapter()->addCommand(new KisImageLayerAddCommand(currentImage(), layer, node->parent(), node));
+                image->undoAdapter()->addCommand(new KisImageLayerAddCommand(image, layer, node->parent(), node));
                 view->nodeManager()->activateNode(layer);
                 m_targetLayer = node;
                 m_selectedNode = layer;
@@ -213,8 +213,17 @@ void KisToolMove::mousePressEvent(KoPointerEvent *event)
             m_targetLayer = 0;
         }
 
+        /**
+         * FIXME: Hack alert:
+         * Our iterators don't have guarantees on thread-safety
+         * when the offset varies. When it is fixed, remove the locking
+         * see: KisIterator::stressTest()
+         */
+        image->lock();
         m_layerStart.setX(node->x());
         m_layerStart.setY(node->y());
+        image->unlock();
+
         m_layerPosition = m_layerStart;
         m_dragStart = pos.toPoint();
     }
@@ -273,14 +282,19 @@ void KisToolMove::drag(const QPoint& original)
 
         pos -= m_dragStart; // convert to delta
         rc = m_selectedNode->extent();
+
+        // FIXME: see comment in KisToolMove::mousePressEvent()
+        KisImageWSP image = currentImage();
+        image->lock();
         m_selectedNode->setX(m_selectedNode->x() + pos.x());
         m_selectedNode->setY(m_selectedNode->y() + pos.y());
+        image->unlock();
 
         rc = rc.unite(m_selectedNode->extent());
 
         m_layerPosition = QPoint(m_selectedNode->x(), m_selectedNode->y());
         m_dragStart = original;
-        
+
         if (m_selectedNode->inherits("KisSelectionMask")) {
             currentImage()->undoAdapter()->emitSelectionChanged();
         }
Comment 28 Dmitry Kazakov 2010-12-19 14:06:18 UTC
Created attachment 55070 [details]
This should fix the bug in 2.3 brunch

Could you check the bug with this patch applied?
To test this, you should do:
cd koffice;
patch -p1 < <patch_to_patch>.patch
make -j3 install

It should fix the bug for you.
Comment 29 Cyrille Berger 2010-12-23 00:44:07 UTC
SVN commit 1208729 by berger:

    Added a workaround for bug 255617
    
    1st: see a commit 1f3e41ed10baeb939c017b315d6b5986aed09d0b
    
    This patch makes KisToolMove block the updates for the image while it
    sets the offset for the layer. This is just a workaround, iterators
    infrastructure must be revised to conform always-read idea.

Backport of 1081b47359851f53d4a73eca2ecf3b8b938c2cb1 by Dmitry, reviewed by myself.
 
CCBUG:255617




 M  +8 -0      image/commands/kis_node_move_command.cpp  
 M  +18 -4     plugins/tools/defaulttools/kis_tool_move.cc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1208729
Comment 30 Halla Rempt 2011-08-02 08:53:07 UTC
Comment on attachment 55070 [details]
This should fix the bug in 2.3 brunch

has been committed to branch and trunk.
Comment 31 pentalis 2011-08-09 21:34:39 UTC
This bug is currently causing crashes when a group layer containing layers that contain transparency masks moves.

How to reproduce:
1.- Create group layer.
2.- Place layer inside.
3.- Give the layer a transparency mask.
4.- Move the group layer with KisToolMove.
5.- Crash.
Comment 32 Dmitry Kazakov 2011-11-13 09:03:28 UTC
There is no crash now, but there is an update bug when moving a layer with a transparency mask.
Comment 33 Dmitry Kazakov 2011-11-19 07:54:57 UTC
Git commit 6895e8ff49573fb409739311bee2579e3b5602d7 by Dmitry Kazakov.
Committed on 19/11/2011 at 09:54.
Pushed by dkazakov into branch 'master'.

Fix update bug for moving nodes

Modified KisFullRefreshWalker to calculate change rect of the nodes
in right way.

See comment in KisFullRefreshWalker::changeRect()


BUG:255617

M  +18   -1    krita/image/kis_full_refresh_walker.h
M  +1    -1    krita/image/kis_refresh_subtree_walker.h
M  +51   -4    krita/image/tests/kis_transparency_mask_test.cpp
M  +1    -1    krita/image/tests/kis_transparency_mask_test.h

http://commits.kde.org/calligra/6895e8ff49573fb409739311bee2579e3b5602d7